Bug 202482 - global variable named 'pipe' messes gstreamer plugin gstgnomevfs
Summary: global variable named 'pipe' messes gstreamer plugin gstgnomevfs
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: glibc   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-08-14 19:04 UTC by Victor Bogado
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-11 21:10:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
program that gives me a problem... (696 bytes, text/plain)
2006-08-14 19:04 UTC, Victor Bogado
no flags Details

Description Victor Bogado 2006-08-14 19:04:51 UTC
Description of problem:
When I compile the test program I have attached the program gives me the
following output : 

ERROR: Caught a segmentation fault while loading plugin file:
/usr/lib/gstreamer-0.10/libgstgnomevfs.so

Please either:
- remove it and restart.
- run with --gst-disable-segtrap and debug.

Version-Release number of selected component (if applicable):
I tryed this with both x86 and x86-64 plataforms with the latest gstreamer
installed. 

How reproducible:
always.

Steps to Reproduce:
1. compile the program 
2. run it
3.
  
Actual results:
segfault in the /usr/lib/gstreamer-0.10/libgstgnomevfs.so plugin

Expected results:
a simple test with the videotestsrc being displayed in a window.

Additional info:
An interesting point is that if I change the name of the pipe variable it works
ok. My guess is that this package is using this name "pipe" so it conflicts with
my variable and this messes everything.

Comment 1 Victor Bogado 2006-08-14 19:04:52 UTC
Created attachment 134161 [details]
program that gives me a problem...

Comment 2 Victor Bogado 2006-08-14 19:14:15 UTC
Version used : 

gstreamer-0.10.4-1
gstreamer-plugins-base-0.10.5-1

Comment 3 Adam Jackson 2006-12-11 21:00:57 UTC
The pipe(3) function is provided by glibc, not gstreamer.

Comment 4 Jakub Jelinek 2006-12-11 21:10:55 UTC
Obviously you can't name your variables in a way which will preempt standard
library functions that are used by the application, even indirectly.


Note You need to log in before you can comment on or make changes to this bug.